package controller;

import adapter.IModelAdapter;
import adapter.ModelAdapter;
import model.Board;

/**
 * Created by loic on 21/09/16.
 */
public class ConsoleController implements IModelAdapter {

    private ModelAdapter adapter;

    public ConsoleController(ModelAdapter model){
        this.adapter=model;
    }

    public void startGame(){
        this.adapter.addRandomNumber();
    }

    @Override
    public void goUp() {
        adapter.goUp();
    }

    @Override
    public void goDown() {
        adapter.goDown();
    }

    @Override
    public void goLeft() {
        adapter.goLeft();
    }

    @Override
    public void goRight() {
        adapter.goRight();
    }

    @Override
    public boolean isLoosed() {
        return this.adapter.isLoosed();
    }




}
